Name: connexion-interface-registrator
Version: 0.4.6
Release: alt1
BuildArch: noarch

%add_python_lib_path		%_datadir/%name
%add_python_compile_include	%_datadir/%name

Summary: Connexion project: registrator interface
License: GPL
Group: Shells
Packager: Peter V. Saveliev <peet@altlinux.org>

Source0: %name.tar.gz
Source1: connexion-external.tar.gz


Requires: python = %__python_version
BuildPreReq: python-devel = %__python_version

%description 
The Connexion project tries to implement both user and developer
friendly framework to create working environments by integrating
three major parts: services, modules and interfaces.

This package contains external modules registration tool.

%prep
%setup -T -a1 -c -n %name/external
%setup -D -T -a0 -q -n %name

%build
rm -f external/Makefile

%install
install -D -m 755 connexion-registrator %buildroot/%_bindir/connexion-registrator
install -d -m 755 %buildroot/%_datadir/%name
install -d -m 755 %buildroot/%_docdir/%name
cp -a *py %buildroot/%_datadir/%name
cp -a external/* %buildroot/%_docdir/%name/

%files
%_bindir/connexion-registrator
%_datadir/%name
%_docdir/%name

%changelog
* Sun Mar 23 2008 Peter V. Saveliev <peet@altlinux.org> 0.4.6-alt1
- revision 1189:
	* new trusted socket protocol

* Sat Sep 08 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt2
- new ACL syntax:
  (+|-)acl : <path> : (user|group) : <name>

* Wed Jun 20 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt1
- ACL register/unregister support

* Tue May 22 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.2-alt2
- backend64.sh

* Wed May 02 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.2-alt1
- version 0.4.2: service registration support
- samples (dir external in svn) added

* Tue Apr 24 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.1-alt1
- first Sisyphus build

